/*************************************************************************
 * File: xm.h								 *
 *									 *
 * Purpose: Motif header file for the wftx program		         *
 *									 *
 * Author: Peter Rajcani, March 1995					 *
 *************************************************************************/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xutil.h>

#include <Xm/Xm.h>
#include <Xm/PushB.h>
#include <Xm/DrawingA.h>
#include <Xm/Form.h>
#include <Xm/FileSB.h>
#include <Xm/DialogS.h>
#include <Xm/MessageB.h>
#include <Xm/SelectioB.h>
#include <Xm/Label.h>
#include <Xm/Separator.h>
#include <Xm/CascadeB.h>
#include <Xm/Text.h>
#include <Xm/MainW.h>
#include <Xm/RowColumn.h>
#include <Xm/ToggleB.h>

typedef struct _menu_struct {
	char*		name;
	void		(*func) ();
	caddr_t		data;
	struct _menu_struct  *sub_menu;
	int		n_sub_items;
	char		*sub_menu_title;
} xs_menu_struct;

typedef struct button_struct {
	char*		label;
	void		(*func) ();
} button;
	
typedef struct toggle_button_struct {
	char*		label;
	void		(*func) ();
	int		set;
} toggle_button;

typedef struct radio_button_struct {
	char*		label;
	void		(*func) ();
	int		type;
	int		set;
} radio_button;
